from rest_framework import serializers
from .models import Payment
from devices.serializers import DeviceSerializer


class PaymentSerializer(serializers.ModelSerializer):
    devices = DeviceSerializer(many=True, read_only=True)

    class Meta:
        model = Payment
        fields = "__all__"


class UpdatePaymentSerializer(serializers.ModelSerializer):
    class Meta:
        model = Payment
        fields = ["paid", "paid_at", "method", "number_of_months"]

    paid = serializers.BooleanField(required=True, allow_null=True)
    paid_at = serializers.DateTimeField(required=True, allow_null=True)
    method = serializers.ChoiceField(choices=Payment.PAYMENT_TYPES, required=True)
    number_of_months = serializers.IntegerField(required=True, allow_null=True)
