# billing/urls.py
from django.urls import path
from .views import (
    ListCreatePaymentView,
    VerifyPaymentView,
    PaymentDetailAPIView,
    UpdatePaymentAPIView,
)

urlpatterns = [
    path("payment/", ListCreatePaymentView.as_view(), name="create-payment"),
    path("payment/<str:pk>/", PaymentDetailAPIView.as_view(), name="retrieve-payment"),
    path(
        "payment/<str:pk>/update/",
        UpdatePaymentAPIView.as_view(),
        name="update-payment",
    ),
    path("verify-payment/", VerifyPaymentView.as_view(), name="verify-payment"),
]
